<?php
	require("utils.php");
	
	$sekce = $_REQUEST["sekce"];
	
if 	(($sekce != 'vyber') or (jeprazdna($sekce))){
	
	print ("<h1>Databáze výsledků procvičování</h1>");

$sql=query("SELECT uzivatel FROM uzivatele"); // MySQL dotaz do databaze pro nacteni vsech uzivatelskych cisel obsazenych v databazi
$vysledek = unserialize($sql);
$delka = count($vysledek);

// zacatek formulare pro vyber jednoho uzivatele		
print("<form action=\"index1.php?sekce=vyber\" method=\"post\">");
?>
<select name="pacienti">
<?php
$hodnoty = array();  //inicializace pole
$k = 0;
for ($i = 0; $i < $delka; $i++) {   // cyklus s podminkou pro zjisteni, zda pole hodnoty jiz obsahuje dane uzivatelske cislo. Pokud ne, je pridano do rozbalovaciho seznamu pro vyber uzivatelskeho cisla
	if (!in_array($vysledek[$i]['uzivatel'], $hodnoty)) {
			$hodnoty[$k]=$vysledek[$i]['uzivatel'];
			$k++;
   print "<option value=\"".$vysledek[$i]['uzivatel']."\">".$vysledek[$i]['uzivatel']."</option>	";
	}
}
?>
</select>
<input type="submit" value="Vyber">
</form>
<br />
<?php
//konec formulare pro vyber jednoho uzivatele
	
$sql=query("SELECT uzivatel, cas, sada, slovo, spravnost, nahravka FROM uzivatele ORDER BY cas DESC"); // MySQL dotaz do databaze pro nacteni vysledku procvicovani vsech uzivatelu
$vysledek = unserialize($sql);
$delka = count($vysledek);
		      					
				$tabulkadb = ""; // promenna, do niz se ulozi vsechny hodnoty nactene z databaze, do html tabulky nize jsou pak zobrazeny				
				
				for ($i = 0; $i < $delka; $i++) {	// cyklus pro vypsani hodnot nactenych z databaze				
				$nazevzvuk = "Nahravky/".$vysledek[$i]['nahravka'] ;
				$tabulkadb = $tabulkadb."<tr>						
				<td>".$vysledek[$i]['uzivatel']."</td>
        <td>".$vysledek[$i]['cas']."</td>
        <td>".$vysledek[$i]['sada']."</td>
        <td>".$vysledek[$i]['slovo']."</td>
        <td>".$vysledek[$i]['spravnost']."</td>
        <td>
        <audio controls><source src=\"".$nazevzvuk."\" type=\"audio/mpeg\"></audio>
        </td>			
				</tr>";				
				}
        
  			if (!jeprazdna($tabulkadb)){ // podminka pro vypsani ramecku hlavicky tabulky
  				print("<table border=\"1\">");
  					print("<tr>
            <th>Uživatel</th>
  					<th>Čas</th>
            <th>Sada</th>
            <th>Slovo</th>
            <th>Správnost</th>
  					<th>Nahrávka</th>
  					</tr>");
  					print($tabulkadb);
  				print("</table>");
  			}			
			

}

// zobrazení vysledku procvicovani vybraneho uzivatele
if 	($sekce == 'vyber'){
	
	$pacienti = $_POST ["pacienti"];
	print ("<h1>Výsledky procvičování uživatele ".$pacienti.":</h1>");

$sql=query("SELECT uzivatel FROM uzivatele"); // MySQL dotaz do databaze pro vypsani vsech uzivatelu obsazenych v databazi
$vysledek = unserialize($sql);
$delka = count($vysledek);

// zacatek formulare pro vyber jednoho uzivatele		
print("<form action=\"index1.php?sekce=vyber\" method=\"post\">");
?>
<select name="pacienti">
<?php
$hodnoty = array();  //inicializace pole
$k = 0;
for ($i = 0; $i < $delka; $i++) {  // cyklus s podminkou pro zjisteni, zda pole hodnoty jiz obsahuje dane uzivatelske cislo. Pokud ne, je pridano do rozbalovaciho seznamu pro vyber uzivatelskeho cisla
	if (!in_array($vysledek[$i]['uzivatel'], $hodnoty)) {
			$hodnoty[$k]=$vysledek[$i]['uzivatel'];
			$k++;
   print "<option value=\"".$vysledek[$i]['uzivatel']."\">".$vysledek[$i]['uzivatel']."</option>	";
	}
}

?>
</select>
<input type="submit" value="Vyber">
</form>
<br />
<?php
//konec formulare pro vyber jednoho uzivatele

$sql=query("SELECT uzivatel, cas, sada, slovo, spravnost, nahravka FROM uzivatele WHERE uzivatel=".$pacienti." ORDER BY cas DESC"); // MySQL dotaz do databaze pro nacteni vysledku procvicovani vybraneho uzivatele
$vysledek = unserialize($sql);
$delka = count($vysledek);
		      					
				$tabulkadb = ""; // promenna, do niz se ulozi vsechny hodnoty nactene z databaze, do html tabulky nize jsou pak zobrazeny			
				
				for ($i = 0; $i < $delka; $i++) { // cyklus pro vypsani hodnot nactenych z databaze	
				$nazevzvuk = "Nahravky/".$vysledek[$i]['nahravka'] ;
				$tabulkadb = $tabulkadb."<tr>						
				<td>".$vysledek[$i]['uzivatel']."</td>
        <td>".$vysledek[$i]['cas']."</td>
        <td>".$vysledek[$i]['sada']."</td>
        <td>".$vysledek[$i]['slovo']."</td>
        <td>".$vysledek[$i]['spravnost']."</td>
        <td>
        <audio controls><source src=\"".$nazevzvuk."\" type=\"audio/mpeg\"></audio>
        </td>			
				</tr>";				
				}
  			if (!jeprazdna($tabulkadb)){ // podminka pro vypsani ramecku hlavicky tabulky
  				print("<table border=\"1\">");
  					print("<tr>
            <th>Uživatel</th>
  					<th>Čas</th>
            <th>Sada</th>
            <th>Slovo</th>
            <th>Správnost</th>
  					<th>Nahrávka</th>
  					</tr>");
  					print($tabulkadb);
  				print("</table>");
  			}			
}
?>
